﻿<script type="text/javascript">

    @*Váriavel Global para controlar entrada no fnDrawCallback*@
    var BUSCOU = false;
    @*------------------------------------*@

    @*Váriavel Global para pesquisa Grupo Economico*@
    TIPOBUSCAMODAL = 0;
    @*------------------------------------*@

    @*variavél para o tratamento do tamanho das anotações*@
    let myAreas = null;
    @*------------------------------------*@

    @*Gerador de anotação*@
    var RepeaterAnotacao = function () {

        setTimeout(function () {

            //console.log($('#txtCodigoCliente').text(), $('#selConFil').val(), $('#ddlTipAntFil').val(), $('#selMtvAntFil').val(), $('#txtAgendamentoFil').val(), $('#txtDataCriacaoFil').val())

            var codConfil;

            if ($('#selConFil').val() != null) {
                codConfil = $('#selConFil').val();
            }
            else {
                codConfil = 0;
            }

            var mtvAntFil;

            if ($('#selMtvAntFil').val() != null) {
                mtvAntFil = $('#selMtvAntFil').val();
            }
            else {
                mtvAntFil = 0;
            }

                var rep = new Repeater({
                    containerId: '#divAnt',
                    type: 'POST',
                    headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
                    data: { CODCLI: $('#txtCodigoCliente').text(), CODCONFIL: codConfil, TIPANTFIL: $('#ddlTipAntFil').val(), MTVANTFIL: mtvAntFil, DATAGDFIL: $('#txtAgendamentoFil').val(), DATCADFIL: $('#txtDataCriacaoFil').val()},
                    url: '@Url.Content("~/api/CadastroAnotacao/ObterCadastroAnotacaoCrm")',
                    dataType: 'json',
                    model: '<table class="table table-striped table-bordered display compact" style="margin-bottom: 0rem;"> ' +
                    '<tbody>' +
                    '<tr>'+
                    '    <td style="vertical-align: inherit; padding-top: 45px; max-width: 0px; background-color:{CORTIPOBSCLI}; color:#fff">' +
                                     '<span><div class="rotate-90">{NOMTIPOBSCLI}</div></span>' +
                    '    </td>' +
                    '    <td>'+
                    '<div class="row">' +
                        '<div class="col-md-3 nopaddingright" style="display: flex;">' +
                        '        <strong class="strong-min-tgv" style="width: 30%;">Nota {NUMSEQOBS}:&nbsp </strong>'+
                        '       <input type="text" class="input-span-ant" style="width: 70%;" readonly  value="{NOMFNC}" />'+
                        '</div >' +
                        '<div class="col-md-3" style="display: flex;">' +
                        '        <strong class="strong-min-tgv">  Categorização:&nbsp </strong>'+
                        '        <input type="text" class="input-span-ant" readonly style="width: 100%;" value="{DESMTVCTO}" />'+
                        '</div >' +
                        '<div class="col-md-1" style="display: flex;">' +
                        '        <strong class="strong-min-tgv">  Intenção:&nbsp </strong>'+
                        '        <span><input type="text" class="input-span-ant" readonly value="{NUMNIVGARNGC}" /></span>'+
                        '</div >' +
                        '<div class="col-md-2" style="display: flex;">' +
                        '        <strong class="strong-min-tgv">  Criação:&nbsp </strong>'+
                        '        <span><input type="text" class="input-span-ant" readonly style="width: 100%;" value="{DATCAD}" /></span>'+
                        '</div >' +
                        '<div class="col-md-3" style="display: flex;">' +
                        '        <strong class="strong-min-tgv">  Agendado:&nbsp </strong>' +
                        '        <span> <input type="text" class="input-span-ant" style="width: 100%;" readonly value="{DATAGDCTO}" /></span>' +
                        '</div >' +
                    '</div >' +
                    '<div class="row">' +
                        '<div class="col-md-12" style="display: flex;">' +
                        '        <textarea class="table-hover obs-repeater" readonly m-auto-height="true">{DESOBSCOMPLETA}</textarea >' +
                        '</div >' +
                    '</div>' +
                    '    </td>'+
                    '</tr>'+
                    '</tbody> '+
                    '</table>'
                });

                @*Comando que define o tamanho das anotações*@
                rep.onsucces = function () {
                    myAreas = $('textarea[m-auto-height="true"]');
                    myAreas.keyup(function () {
                        //$(this).attr('style', 'height: 30px !important;');
                        $(this).attr('style', 'height: ' + parseInt($(this).prop("scrollHeight")) + 'px !important;');
                    });
                    setTimeout(function () {
                        if (myAreas) { myAreas.keyup(); };
                    }, 500);
                };
                @*------------------------------------*@

         }, 500);
    }
    @*------------------------------------*@

    @*Comando que define o tamanho das observações*@
    var ajustaAnotacao = function () {
        if (myAreas) { myAreas.keyup(); };
    };
    @*------------------------------------*@

    @*Tratamento de validação da Anotação*@
    var tooltipValidationAnotacao = function () {

        var mostrarToolTip = 0;

        if ($('#selMtvAnt').val() == null) {
            tooltipCampoObrigatorio(".select2mtv", "Selecione um Motivo");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if ($('#txtDesObsAnt').val() == "") {
            tooltipCampoObrigatorio("#txtDesObsAnt", "Digite a Observação");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if ($('#ddlIntencao').val() == null) {
            tooltipCampoObrigatorio("#ddlIntencao", "Selecione a Intenção");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if (mostrarToolTip > 0) {
            return false;
        }
    };
    @*------------------------------------*@

    @* Tratamento de validação Aba Forma Pagamento *@
    var tooltipValidationFormaPgto = function () {

        var mostrarToolTip = 0;

        if ($('#ddlTipoPagamento').val() == -1) {
            tooltipCampoObrigatorio("#ddlTipoPagamento", "Selecione uma forma de pagamento");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if ($('#ddlTipoPagamento').val() == 1) {
            if ($('#txtBanco').val() == "") {
                tooltipCampoObrigatorio("#txtBanco", "Digite o banco");
                mostrarToolTip = mostrarToolTip + 1;
            }

            if ($('#txtAgencia').val() == "") {
                tooltipCampoObrigatorio("#txtAgencia", "Digite a Agencia");
                mostrarToolTip = mostrarToolTip + 1;
            }

            if ($('#txtContaCorrente').val() == "") {
                tooltipCampoObrigatorio("#txtContaCorrente", "Digite a Conta Corrente");
                mostrarToolTip = mostrarToolTip + 1;
            }

        }

        if (mostrarToolTip > 0) {
            return false;
        }
    };
    @* ------------------------------------*@

    $('#btnTelefonesTgv').click(function () {
        divTelefoneDefault();
    });

    var divTelefoneDefault = function () {
        $('#tab_1').show();
        $('#tab_2').hide();

    };

    $('#btnTelefonesTelevendas').click(function () {
        $('#tab_2').show();
        $('#tab_1').hide();
    });

    @*Controle da abertura das abas pelo DROPDOWNMENU*@
    $('#dropDadosCliente').click(function () {

        //$('#dropDadosCliente').attr('style', "background-color:#2c8e86 !important;width:11.1%;color:#fff !important;text-align:center;border-radius:4px;");
        /*232859*/
        //$('#dropDadosCliente').attr('style', "background-color:#232859 !important;width:11.1%;color:#fff !important;text-align:center;border-radius:4px;");
        //$('#dropContato').attr('style', "background-color:#fff !important;width:9%; color:#2c8e86;text-align:center;");
        //$('#dropGrupoEconomico').attr('style', "background-color:#fff !important;width:12%; color:#2c8e86;text-align:center;");
        //$('#dropEstrutura').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center!important;");
        //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropCestaProduto').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");
        //$('#dropTitulos').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropRecusroCli').attr('style', "background-color:#fff !important;width:11%; color:#2c8e86;text-align:center;");
        //$('#dropServicosCli').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");

        $('#divDadosCliente').show();
        $('#divContato').hide();
        $('#divGrupoEconomico').hide();
        $('#divEstrutura').hide();
        $('#divCestaProdutos').hide();
        $('#divAnotacao').hide();
        $('#divTitulos').hide();
        $('#divRecursoCliente').hide();
        $('#divServicosCliente').hide();

    });

    $('#dropContato').click(function () {

        //$('#dropContato').attr('style', "background-color:#2c8e86 !important;width:9%; color:#fff;text-align:center;border-radius:4px;");
        //$('#dropContato').attr('style', "background-color:#232859 !important;width:9%; color:#fff;text-align:center;border-radius:4px;");

        //$('#dropDadosCliente').attr('style', "background-color:#fff !important;width:11.1%;color:#2c8e86 !important;text-align:center;");
        //$('#dropGrupoEconomico').attr('style', "background-color:#fff !important;width:12%; color:#2c8e86;text-align:center;");
        //$('#dropEstrutura').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center!important;");
        //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropCestaProduto').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");
        //$('#dropTitulos').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropRecusroCli').attr('style', "background-color:#fff !important;width:11%; color:#2c8e86;text-align:center;");
        //$('#dropServicosCli').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");

        $('#divContato').show();
        divTelefoneDefault();
        $('#divDadosCliente').hide();
        $('#divGrupoEconomico').hide();
        $('#divEstrutura').hide();
        $('#divCestaProdutos').hide();
        $('#divAnotacao').hide();
        $('#divTitulos').hide();
        $('#divRecursoCliente').hide();
        $('#divServicosCliente').hide();

        ($('#grdCadastroContatoGeral').DataTable()).draw();

    });

    $('#btnTelefonesTelevendas').click(function () {
        setTimeout(function () {

            ($('#grdContatosTelevendas').DataTable()).draw();
        }, 100);
    });

    $('#dropServicosCli').click(function () {
        setTimeout(function () {

            ($('#grdServicosAtivos').DataTable()).draw();
        }, 100);

        setTimeout(function () {

            ($('#grdServicosEncerrados').DataTable()).draw();
        }, 100);

        setTimeout(function () {

            ($('#grdHistoricoSdm').DataTable()).draw();
        }, 100);
    });



    $('#dropGrupoEconomico').click(function () {
        abreAbaGrupoEconomico(true);
    });

    @*Função do link GRUPO ECONOMICO, para abrir a aba atraves dele.*@
    var abreAbaGrupoEconomico = function (drop) {
        if ($('#txtGrupoEconomico').val() != "" || drop == true) {

            //$('#dropGrupoEconomico').attr('style', "background-color:#2c8e86 !important;width:12%; color:#fff;text-align:center;border-radius:4px;");
            //$('#dropGrupoEconomico').attr('style', "background-color:#232859 !important;width:12%; color:#fff;text-align:center;border-radius:4px;");

            //$('#dropDadosCliente').attr('style', "background-color:#fff !important;width:11.1%;color:#2c8e86 !important;text-align:center;");
            //$('#dropContato').attr('style', "background-color:#fff !important;width:9%; color:#2c8e86;text-align:center;");
            //$('#dropEstrutura').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center!important;");
            //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
            //$('#dropCestaProduto').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");
            //$('#dropTitulos').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
            //$('#dropRecusroCli').attr('style', "background-color:#fff !important;width:11%; color:#2c8e86;text-align:center;");
            //$('#dropServicosCli').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");

            $('#divGrupoEconomico').show();
            $('#divContato').hide();
            $('#divDadosCliente').hide();
            $('#divEstrutura').hide();
            $('#divCestaProdutos').hide();
            $('#divAnotacao').hide();
            $('#divTitulos').hide();
            $('#divRecursoCliente').hide();
            $('#divServicosCliente').hide();


            ($('#grdCadastroClientesGrupoEconomico').DataTable()).draw();
        };
    };
    @*------------------------------------*@

    $('#dropEstrutura').click(function () {

        //$('#dropEstrutura').attr('style', "background-color:#2c8e86 !important;width:13%; color:#fff;text-align:center!important;border-radius:4px;");
        //$('#dropEstrutura').attr('style', "background-color:#232859 !important;width:13%; color:#fff;text-align:center!important;border-radius:4px;");

        //$('#dropDadosCliente').attr('style', "background-color:#fff !important;width:11.1%;color:#2c8e86 !important;text-align:center;");
        //$('#dropContato').attr('style', "background-color:#fff !important;width:9%; color:#2c8e86;text-align:center;");
        //$('#dropGrupoEconomico').attr('style', "background-color:#fff !important;width:12%; color:#2c8e86;text-align:center;");
        //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropCestaProduto').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");
        //$('#dropTitulos').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropRecusroCli').attr('style', "background-color:#fff !important;width:11%; color:#2c8e86;text-align:center;");
        //$('#dropServicosCli').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");


        $('#divEstrutura').show();
        $('#divContato').hide();
        $('#divGrupoEconomico').hide();
        $('#divDadosCliente').hide();
        $('#divCestaProdutos').hide();
        $('#divAnotacao').hide();
        $('#divTitulos').hide();
        $('#divRecursoCliente').hide();
        $('#divServicosCliente').hide();

        ($('#grdEstruturaMartins').DataTable()).draw();
        ($('#grdEstruturaTribanco').DataTable()).draw();
        ($('#grdEstruturaTricard').DataTable()).draw();
        ($('#grdEstruturaAdquirencia').DataTable()).draw();
    });

    $('#dropCestaProduto').click(function () {

        //$('#dropCestaProduto').attr('style', "background-color:#2c8e86 !important;width:13%; color:#fff;text-align:center;border-radius:4px;");
        //$('#dropCestaProduto').attr('style', "background-color:#232859 !important;width:13%; color:#fff;text-align:center;border-radius:4px;");

        //$('#dropDadosCliente').attr('style', "background-color:#fff !important;width:11.1%;color:#2c8e86 !important;text-align:center;");
        //$('#dropContato').attr('style', "background-color:#fff !important;width:9%; color:#2c8e86;text-align:center;");
        //$('#dropGrupoEconomico').attr('style', "background-color:#fff !important;width:12%; color:#2c8e86;text-align:center;");
        //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropEstrutura').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center!important;");
        //$('#dropTitulos').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropRecusroCli').attr('style', "background-color:#fff !important;width:11%; color:#2c8e86;text-align:center;");
        //$('#dropServicosCli').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");


        $('#divCestaProdutos').show();
        $('#divEstrutura').hide();
        $('#divContato').hide();
        $('#divGrupoEconomico').hide();
        $('#divDadosCliente').hide();
        $('#divAnotacao').hide();
        $('#divTitulos').hide();
        $('#divRecursoCliente').hide();
        $('#divServicosCliente').hide();


        ($('#grdCestaProdutoCliente').DataTable()).draw();
    });

    $('#dropAnotacao').click(function () {


        //$('#dropAnotacao').attr('style', "background-color:#2c8e86 !important;width:10%; color:#fff;text-align:center;border-radius:4px;");
        //$('#dropAnotacao').attr('style', "background-color:#232859 !important;width:10%; color:#fff;text-align:center;border-radius:4px;");

        //$('#dropDadosCliente').attr('style', "background-color:#fff !important;width:11.1%;color:#2c8e86 !important;text-align:center;");
        //$('#dropContato').attr('style', "background-color:#fff !important;width:9%; color:#2c8e86;text-align:center;");
        //$('#dropGrupoEconomico').attr('style', "background-color:#fff !important;width:12%; color:#2c8e86;text-align:center;");
        //$('#dropCestaProduto').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");
        //$('#dropEstrutura').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center!important;");
        //$('#dropTitulos').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropRecusroCli').attr('style', "background-color:#fff !important;width:11%; color:#2c8e86;text-align:center;");
        //$('#dropServicosCli').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");


        $('#divAnotacao').show();
        $('#divCestaProdutos').hide();
        $('#divEstrutura').hide();
        $('#divContato').hide();
        $('#divGrupoEconomico').hide();
        $('#divDadosCliente').hide();
        $('#divTitulos').hide();
        $('#divRecursoCliente').hide();
        $('#divServicosCliente').hide();


        ($('#grdEstruturaMartins').DataTable()).draw();
        ($('#grdEstruturaTribanco').DataTable()).draw();

        ajustaAnotacao();
    });

    $('#dropTitulos').click(function () {

        //$('#dropTitulos').attr('style', "background-color:#2c8e86 !important;width:10%; color:#fff;text-align:center;border-radius:4px;");
        //$('#dropTitulos').attr('style', "background-color:#232859 !important;width:10%; color:#fff;text-align:center;border-radius:4px;");

        //$('#dropDadosCliente').attr('style', "background-color:#fff !important;width:11.1%;color:#2c8e86 !important;text-align:center;");
        //$('#dropContato').attr('style', "background-color:#fff !important;width:9%; color:#2c8e86;text-align:center;");
        //$('#dropGrupoEconomico').attr('style', "background-color:#fff !important;width:12%; color:#2c8e86;text-align:center;");
        //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropCestaProduto').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");
        //$('#dropEstrutura').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center!important;");
        //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropRecusroCli').attr('style', "background-color:#fff !important;width:11%; color:#2c8e86;text-align:center;");
        //$('#dropServicosCli').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");


        $('#divTitulos').show();
        $('#divAnotacao').hide();
        $('#divCestaProdutos').hide();
        $('#divEstrutura').hide();
        $('#divContato').hide();
        $('#divGrupoEconomico').hide();
        $('#divDadosCliente').hide();
        $('#divRecursoCliente').hide();
        $('#divServicosCliente').hide();


        ($('#grdNotasFiscais').DataTable()).draw();
    });

    $('#dropRecusroCli').click(function () {

        //$('#dropRecusroCli').attr('style', "background-color:#2c8e86 !important;width:11%; color:#fff;text-align:center;border-radius:4px;");
        //$('#dropRecusroCli').attr('style', "background-color:#232859 !important;width:11%; color:#fff;text-align:center;border-radius:4px;");
        //$('#dropDadosCliente').attr('style', "background-color:#fff !important;width:11.1%;color:#2c8e86 !important;text-align:center;");

        //$('#dropContato').attr('style', "background-color:#fff !important;width:9%; color:#2c8e86;text-align:center;");
        //$('#dropGrupoEconomico').attr('style', "background-color:#fff !important;width:12%; color:#2c8e86;text-align:center;");
        //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropCestaProduto').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");
        //$('#dropEstrutura').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center!important;");
        //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropTitulos').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropServicosCli').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");


        $('#divTitulos').hide();
        $('#divAnotacao').hide();
        $('#divCestaProdutos').hide();
        $('#divEstrutura').hide();
        $('#divContato').hide();
        $('#divGrupoEconomico').hide();
        $('#divDadosCliente').hide();
        $('#divRecursoCliente').show();
        $('#divServicosCliente').hide();

        ($('#grdRecusrosCliente').DataTable()).draw();
    });


    $('#dropServicosCli').click(function () {

        //$('#dropServicosCli').attr('style', "background-color:#2c8e86 !important;width:13%; color:#fff;text-align:center;border-radius:4px;");
        //$('#dropServicosCli').attr('style', "background-color:#232859 !important;width:13%; color:#fff;text-align:center;border-radius:4px;");

        //$('#dropDadosCliente').attr('style', "background-color:#fff !important;width:11.1%;color:#2c8e86 !important;text-align:center;");
        //$('#dropContato').attr('style', "background-color:#fff !important;width:9%; color:#2c8e86;text-align:center;");
        //$('#dropGrupoEconomico').attr('style', "background-color:#fff !important;width:12%; color:#2c8e86;text-align:center;");
        //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropCestaProduto').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center;");
        //$('#dropEstrutura').attr('style', "background-color:#fff !important;width:13%; color:#2c8e86;text-align:center!important;");
        //$('#dropAnotacao').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropTitulos').attr('style', "background-color:#fff !important;width:10%; color:#2c8e86;text-align:center;");
        //$('#dropRecusroCli').attr('style', "background-color:#fff !important;width:11%; color:#2c8e86;text-align:center;");


        $('#divTitulos').hide();
        $('#divAnotacao').hide();
        $('#divCestaProdutos').hide();
        $('#divEstrutura').hide();
        $('#divContato').hide();
        $('#divGrupoEconomico').hide();
        $('#divDadosCliente').hide();
        $('#divRecursoCliente').hide();
        $('#divServicosCliente').show();

        ($('#grdServicos').DataTable()).draw();
    });

    @*------------------------------------*@


    @*Limpa os campos e recarrega o grid ao fechar o cadastro.*@
    $('#btnFecharCrm').click(function () {
        limparTodosOsCampos("divCRM");
        limparTodosOsCampos("divDadosCliente");
        $("#divCRM").hide();
        $('#divContato').hide();
        $('#divDadosCliente').hide();
        $('#divGrupoEconomico').hide();
        $('#divEstrutura').hide();
        $('#divCestaProdutos').hide();
        $('#divAnotacao').hide();
        $('#divBtnCRM').hide();
        $('#divTitulos').hide();
        $('#divRecursoCliente').hide();
        $('#divServicosCliente').hide();


        $("#divPesquisa").show();
        apagaTooltipCampos();

        $("#grdCadastroContatoGeral").DataTable().clear();
        $("#grdCadastroClientesGrupoEconomico").DataTable().clear();
        $("#grdEstruturaMartins").DataTable().clear();
        $("#grdEstruturaTribanco").DataTable().clear();
        $("#grdContatosTelevendas").DataTable().clear();
        //$("#grdEstruturaTribanco").DataTable().clear();
        //$("#grdEstruturaTricard").DataTable().clear();
        //$("#grdEstruturaAdquirencia").DataTable().clear();

        $('#selConFil').val('').trigger('change');
        $('#ddlTipAntFil').val(0);
        $('#selMtvAntFil').val('').trigger('change');
        $('#txtAgendamentoFil').val('')
        $('#txtDataCriacaoFil').val('')

        if ($("#grdCrmContainer > tbody > tr > td").text().toString().trim() != 'Nenhum registro encontrado') {

            if ($('#txtCliInx').val() != "" || $('#selCliIdx').val() || $('#txtNumCgcEmp').val()) {
                $("#grdCrm").DataTable().ajax.reload();
            }
        }
    });
    @*------------------------------------*@

    @*Limpa os campos e recarrega o grid ao fechar o modal.*@
    $('#btnFecharFiltro').click(function () {
        if ($("#grdCrmContainer > tbody > tr > td").text().toString().trim() != 'Nenhum registro encontrado') {

            if ($('#txtCliInx').val() != "" || $('#selCliIdx').val() || $('#txtNumCgcEmp').val()) {
                $("#grdCrm").DataTable().ajax.reload();
            }
        }
        apagaTooltipCampos();
    });
    @*------------------------------------*@

    @*Evento que chama a pesquisa da tela.*@
    $("#btnPesquisarTela").click(function () {

        if ($('#txtCodCliente').val() != "" || $('#txtRazaoSocial').val() != "" || $('#txtNumCgcEmpPes').val() != ""
            || $('#ddlCliTgv').val() != 0 || $('#ddlStatusCliTgv').val() != 0 || $('#selGrpEco').val() != null) {

            $("#grdCrm").DataTable().ajax.reload();
        }
        else {
            swal('Verificar!', 'Informe pelo menos um filtro antes de realizar a consulta!');
            setCustomIcon('fa fa-exclamation-circle');
        }

    });
    @*------------------------------------*@

    @*Evento que chama a pesquisa da tela.*@
    $("#btnPesquisarAnotacao").click(function () {

        RepeaterAnotacao();
        //setTimeout(function () {
        //    myAreas = $('textarea[m-auto-height="true"]');
        //    myAreas.keyup(function () {
        //        //$(this).attr('style', 'height: 30px !important;');
        //        $(this).attr('style', 'height: ' + parseInt($(this).prop("scrollHeight")) + 'px !important;');
        //    });
        //}, 1000);

    });
    @*------------------------------------*@

    @*Função + filtros. não está habilitada*@
    //$("#btnFiltro").click(function () {
    //    $('#divFiltroDossie').show();
    //});
    @*------------------------------------*@


    @*Função para que ao clicar fora da modal sistema essa seja fechada.*@
    $('#modalServicoOportunidade').on('hidden.bs.modal', function () {
        $('#btnFecharModalServicoOportunidade').click();
    });
    @*------------------------------------*@

    @*Função para que ao clicar fora da modal sistema essa seja fechada.*@
    $('#modalPessoaIndicacao').on('hidden.bs.modal', function () {
        $('#btnFecharModalPessoaIndicacao').click();
    });
    @*------------------------------------*@

    @*Efeito dropdown menu.*@
    //$("#dropdownCrm").click(function () {

    //    $("#grdCrm").DataTable().ajax.reload();
    //});
    @*------------------------------------*@


    @*Botão de ativação da modal*@
    $("#btnSalvarFormaPagto").click(function () {


        if (tooltipValidationFormaPgto() == false) {
            return;
        }

        swal({
            title: 'Salvar?',
            text: "Deseja Salvar a forma de pagamento?",
            showCancelButton: true,
            cancelButtonColor: '#d33',
            cancelButtonText: 'Não',
            confirmButtonColor: '#3085d6',
            confirmButtonText: 'Sim!'
        }).then(function (result) {
            if (result.value) {

                with (new ComponenteAJAXFactory()) {
                    with (modelo) {
                        ajaxSuccessCallbackMethod = function (result) {

                            if (result.split(':')[0] == "1") {
                                swal('Atualizado!', 'Atualização realizada com sucesso!');
                                setCustomIcon('fa fa-exclamation-circle');
                            }
                            else if (result.split(':')[0] == "2") {
                                swal('Alteração Não Permitida!', "Loja pertence ao grupo " + result.split(':')[1] + " como faturamento agrupado!");
                                setCustomIcon('fa fa-exclamation-circle');
                            }
                            else if (result.split(':')[0] == "3") {
                                swal('Atualizado!', 'Atualização da Forma de Pagamento em todo o Grupo com sucesso!');
                                setCustomIcon('fa fa-exclamation-circle');
                            }

                            setTimeout(function () {
                                ajustaAnotacao();
                            }, 1000);

                        };
                        ajaxURL = '@Url.Content("~/api/GestaoContas/AtualizarContaCorrente")';
                        async = true;

                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = function () { return $('#txtCodigoCliente').text(); }, tipoJsonEnviar = 'tipoFuncao' };
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "INDDBTAUTPGT", idJsonEnviar = "ddlTipoPagamento", tipoJsonEnviar = 'tipoNumerico' }
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODBCO", idJsonEnviar = "txtBanco", tipoJsonEnviar = 'tipoNumerico' }
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODAGEBCO", idJsonEnviar = "txtAgencia", tipoJsonEnviar = 'tipoNumerico' };
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMDIGVRFAGE", idJsonEnviar = "txtDigitoAG", tipoJsonEnviar = 'tipoTexto' };
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMCNTCRRCTT", idJsonEnviar = "txtContaCorrente", tipoJsonEnviar = 'tipoTexto' };
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMDIGVRFCNTCRR", idJsonEnviar = "txtDigitoCC", tipoJsonEnviar = 'tipoTexto' };

                    };
                    inicializar(null);
                };

            }
            else if (result.dismiss === swal.DismissReason.cancel) {

            }
        });
        setCustomIcon('fa fa-question-circle');
    });
    @*------------------------------------*@

    var preencherGridCrm = function (dados) {


        $('#txtCodigoCliente').text(dados.CODCLI);
        $('#txtCodigoClienteHid').val(dados.CODCLI);

        $('#txtCodigoGrpEcoHid').val(dados.CODGRPEMPCLI);

        $('#txtNomeCliente').text(' - ' + dados.NOMCLI);

        $('#txtCnpjCliente').text(dados.NUMCGCCLI);

        $('#txtFatAgr').text(dados.INDFATGRP);

        $('#txtStatus').text(dados.STATUS);

        $('#txtStatusMartins').text(dados.STATUSMRT);

        if (dados.CODCLIGRPFAT > 0) {
            $('#txtCodigoClienteGrpFat').text(dados.CODCLIGRPFAT + ' - ');
            $('#txtNomeClienteGrpFat').text(dados.NOMCLIGRPFAT);
            $('#txtCnpjClienteGrpFat').text(dados.NUMCGCCLIGRPFAT);
        }

        if (dados.NOMGRPEMPCLI != '') {
            $('#txtGrupoEconomico').val(dados.NOMGRPEMPCLI);
            $('#txtGrupoEconomicoGrid').text(dados.NOMGRPEMPCLI);
        }

        console.log(dados.CODSITCLI != null);
        console.log(dados.CODSITCLI);
        //Verificase se o cliente é CLITGV(Se está na tabela CADCLITGV) se sim mostra a forma de pagamento, se não esconde.
        if (dados.CODSITCLI != 0) {

            $('#divFormaPagamento').show();

            $('#ddlTipoPagamento').val(dados.INDDBTAUTPGT);

            if (dados.INDDBTAUTPGT == null) {
                $('#ddlTipoPagamento').val(-1);
            }

            $('#txtBancoHid').val(dados.CODBCO);
            $('#txtAgenciaHid').val(dados.CODAGEBCO);
            $('#txtDigitoAGHid').val(dados.NUMDIGVRFAGE);
            $('#txtContaCorrenteHid').val(dados.NUMCNTCRRCTT);
            $('#txtDigitoCCHid').val(dados.NUMDIGVRFCNTCRR);

            if (dados.INDDBTAUTPGT == 0) {
                $('#txtBanco').val('');
                $('#txtAgencia').val('');
                $('#txtDigitoAG').val('');
                $('#txtContaCorrente').val('');
                $('#txtDigitoCC').val('');
            }
            else if ((dados.INDDBTAUTPGT == 1) || (dados.INDDBTAUTPGT == 2)) {
                $('#txtBanco').val(dados.CODBCO);
                $('#txtAgencia').val(dados.CODAGEBCO);
                $('#txtDigitoAG').val(dados.NUMDIGVRFAGE);
                $('#txtContaCorrente').val(dados.NUMCNTCRRCTT);
                $('#txtDigitoCC').val(dados.NUMDIGVRFCNTCRR);
            }

            verificaFormaPgto();
        }
        else {
            $('#divFormaPagamento').hide();
        }

        $('#divCRM').show();
        $('#divDadosCliente').show();
        $('#divBtnCRM').show();
        $('#divPesquisa').hide();

        $('#dropdownCrm').val('Dados Cliente ▼');

        RepeaterAnotacao();

        $('#frmEstrutura').find('.dataTables_wrapper').find('.ui-toolbar').remove();
        $('#divGrupoEconomico').find('.dataTables_wrapper').find('.ui-toolbar').remove();
        $('#divCestaProdutos').find('.dataTables_wrapper').find('.ui-toolbar').remove();
        $('#frmContatosCliente').find('.dataTables_wrapper').find('.ui-corner-bl').remove();
        $('.dataTables_personalizadocontato').find('.dataTables_wrapper').find('.buttons-collection').remove();
        $('#grdServicosAtivos_wrapper').find('.ui-toolbar').remove();
        $('#grdServicosEncerrados_wrapper').find('.ui-toolbar').remove();
        $('#grdHistoricoSdm_wrapper').find('.ui-toolbar').remove();

        $("#grdCestaProdutoCliente").DataTable().ajax.reload();
        $("#grdNotasFiscais").DataTable().ajax.reload();
        $("#grdRecusrosCliente").DataTable().ajax.reload();
        $("#grdServicos").DataTable().ajax.reload();
        $("#grdContatosTelevendas").DataTable().ajax.reload();
        $("#grdCadastroContatoGeral").DataTable().ajax.reload();

        setTimeout(function () {
            $('#DdlTipEnd').val('0');
            $('#DdlTipEnd').trigger('change');
        }, 50);

        preencheGridsEstaticas();

        preencheGridServico();

        preencheTituloGridCestaCliente();


    };
    @*------------------------------------*@

    var verificaFormaPgto = function () {
        if ($('#ddlTipoPagamento').val() == 1) {

            //$('#txtBanco').prop('readOnly', false);
            //$('#txtAgencia').prop('readOnly', false);
            //$('#txtDigitoAG').prop('readOnly', false);
            //$('#txtContaCorrente').prop('readOnly', false);
            //$('#txtDigitoCC').prop('readOnly', false);

            $('#txtBanco').val($('#txtBancoHid').val());
            $('#txtAgencia').val($('#txtAgenciaHid').val());
            $('#txtDigitoAG').val($('#txtDigitoAGHid').val());
            $('#txtContaCorrente').val($('#txtContaCorrenteHid').val());
            $('#txtDigitoCC').val($('#txtDigitoCCHid').val());

            apagaTooltipCampos();
        }
        else if ($('#ddlTipoPagamento').val() == 2){
            //$('#txtBanco').prop('readOnly', true);
            //$('#txtAgencia').prop('readOnly', true);
            //$('#txtDigitoAG').prop('readOnly', true);
            //$('#txtContaCorrente').prop('readOnly', true);
            //$('#txtDigitoCC').prop('readOnly', true);

            $('#txtBanco').val('');
            $('#txtAgencia').val('');
            $('#txtDigitoAG').val('');
            $('#txtContaCorrente').val('');
            $('#txtDigitoCC').val('');

            apagaTooltipCampos();
        }
    };
    @* ------------------------------------*@

    @*Funções para carregar as grid's com estaticas de uma só vez.*@
    var preencheGridsEstaticas = function () {
        $.ajax({
            method: 'POST',
            url: '@Url.Content("~/api/Crm/ObterGridsEstaticas")',
            headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
            data: { CODCLI: $('#txtCodigoClienteHid').val() },
            async: true,
            success: function (_listaretorno) {

                var grdCadastroClientesGrupoEconomico = ($('#grdCadastroClientesGrupoEconomico').DataTable());
                var grdEstruturaMartins = ($('#grdEstruturaMartins').DataTable());
                var grdEstruturaTribanco = ($('#grdEstruturaTribanco').DataTable());
                var grdHistoricoSdm = ($('#grdHistoricoSdm').DataTable());
                //var grdEstruturaTribanco = ($('#grdEstruturaTribanco').DataTable());
                //var grdEstruturaTricard = ($('#grdEstruturaTricard').DataTable());
                //var grdEstruturaAdquirencia = ($('#grdEstruturaAdquirencia').DataTable());

                if (_listaretorno.LSTGRPECO.length > 0) {

                    //Tratamento das informações da grid grdCadastroClientesGrupoEconomico
                    for (var i in _listaretorno.LSTGRPECO) {
                        grdCadastroClientesGrupoEconomico.row.add({
                            "CODGRPEMPCLI": _listaretorno.LSTGRPECO[i].CODGRPEMPCLI ,
                            "INDFATGRP": _listaretorno.LSTGRPECO[i].INDFATGRP,
                            "CLIGRPFAT": _listaretorno.LSTGRPECO[i].CLIGRPFAT,
                            "CODCLI": _listaretorno.LSTGRPECO[i].CODCLI,
                            "NOMCLI": _listaretorno.LSTGRPECO[i].NOMCLI,
                            "NUMCGCCLI": _listaretorno.LSTGRPECO[i].NUMCGCCLI,
                            "NOMCID": _listaretorno.LSTGRPECO[i].NOMCID,
                            "CODESTUNI": _listaretorno.LSTGRPECO[i].CODESTUNI,
                            "CODOPTVND": _listaretorno.LSTGRPECO[i].CODOPTVND,
                            "STATUS": _listaretorno.LSTGRPECO[i].STATUS
                        });
                    };
                };

                if (_listaretorno.LSTESTMRT.length > 0) {
                    //Tratamento das informações da grid grdEstruturaMartins
                    for (var i in _listaretorno.LSTESTMRT) {
                        grdEstruturaMartins.row.add({
                            "ORDEM": _listaretorno.LSTESTMRT[i].ORDEM,
                            "EMPRESA": _listaretorno.LSTESTMRT[i].EMPRESA,
                            "FUNCAO": _listaretorno.LSTESTMRT[i].FUNCAO,
                            "MATRICULA": _listaretorno.LSTESTMRT[i].MATRICULA,
                            "NOME": _listaretorno.LSTESTMRT[i].NOME,
                            "EMAIL": _listaretorno.LSTESTMRT[i].EMAIL,
                            "TELEFONE": _listaretorno.LSTESTMRT[i].TELEFONE,
                            "SUPERIOR": _listaretorno.LSTESTMRT[i].SUPERIOR,
                        });
                    };

                    grdEstruturaMartins.draw();

                    _listaretorno.length = 0;
                };

                if (_listaretorno.LSTESTTRI.length > 0) {
                    //Tratamento das informações da grid grdEstruturaTribanco
                    for (var i in _listaretorno.LSTESTTRI) {
                        grdEstruturaTribanco.row.add({
                            "ORDEM": _listaretorno.LSTESTTRI[i].ORDEM,
                            "EMPRESA": _listaretorno.LSTESTTRI[i].EMPRESA,
                            "FUNCAO": _listaretorno.LSTESTTRI[i].FUNCAO,
                            "MATRICULA": _listaretorno.LSTESTTRI[i].MATRICULA,
                            "NOME": _listaretorno.LSTESTTRI[i].NOME,
                            "EMAIL": _listaretorno.LSTESTTRI[i].EMAIL,
                            "TELEFONE": _listaretorno.LSTESTTRI[i].TELEFONE,
                            "SUPERIOR": _listaretorno.LSTESTTRI[i].SUPERIOR,
                        });
                    };

                    grdEstruturaTribanco.draw();

                    _listaretorno.length = 0;
                };

                if (_listaretorno.LSTHISSDM.length > 0) {
                    //Tratamento das informações da grid grdHistoricoSdm
                    for (var i in _listaretorno.LSTHISSDM) {
                        grdHistoricoSdm.row.add({
                            "CODTCKATD": _listaretorno.LSTHISSDM[i].CODTCKATD,
                            "DATSLCATD": _listaretorno.LSTHISSDM[i].DATSLCATD,
                            "DATFNLATD": _listaretorno.LSTHISSDM[i].DATFNLATD,
                            "DESSVCCHM": _listaretorno.LSTHISSDM[i].DESSVCCHM,
                            "DESSTASLCATD": _listaretorno.LSTHISSDM[i].DESSTASLCATD,
                        });
                    };

                    grdHistoricoSdm.draw();

                    _listaretorno.length = 0;
                };
            }
        });
    };
    @*------------------------------------*@

     @*Funções para carregar as grid's Serviço(s) Cliente de uma só vez.*@
    var preencheGridServico = function () {
        $.ajax({
            method: 'POST',
            url: '@Url.Content("~/api/Crm/ObterServicosAtvEnc")',
            headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
            data: { CODCLI: $('#txtCodigoClienteHid').val() },
            async: true,
            success: function (_listaretorno) {

                var grdServicosAtivos = ($('#grdServicosAtivos').DataTable());
                var grdServicosEncerrados = ($('#grdServicosEncerrados').DataTable());
                var grdHistoricoSdm = ($('#grdHistoricoSdm').DataTable());
                //alert(_listaretorno.length);


                    //Tratamento das informações da grid grdServicosAtivos
                    for (var i in _listaretorno) {
                        if (_listaretorno[i].STATUS == 'ATIVO' || _listaretorno[i].STATUS == 'SUSPENSO') {
                            grdServicosAtivos.row.add({
                                "DESSVCTGV": _listaretorno[i].DESSVCTGV,
                                "STATUS": _listaretorno[i].STATUS,
                                "DATATVSVC": _listaretorno[i].DATATVSVC,
                                "DATINISUSSVC": _listaretorno[i].DATINISUSSVC,
                                "DATFIMSUSSVC": _listaretorno[i].DATFIMSUSSVC,
                            });

                        };
                    };
                grdServicosAtivos.draw();


                for (var i in _listaretorno) {
                    if (_listaretorno[i].STATUS == 'CANCELADO') {
                        grdServicosEncerrados.row.add({
                            "DESSVCTGV": _listaretorno[i].DESSVCTGV,
                            "STATUS": _listaretorno[i].STATUS,
                            "DATATVSVC": _listaretorno[i].DATATVSVC,
                            "DATDESSVC": _listaretorno[i].DATDESSVC,
                            "QNTDIAS": _listaretorno[i].QNTDIAS,
                            "MOTIVACANC": _listaretorno[i].MOTIVACANC,
                        });

                    };
                };
                grdServicosEncerrados.draw();

            }
        });
    };
    @*------------------------------------*@



    @*Funções para carregar o nome da grid cesta produto cliente.*@
    var preencheTituloGridCestaCliente = function () {

        with (new ComponenteAJAXFactory()) {
            with (modelo) {
                ajaxSuccessCallbackMethod = function (dados) {
                    $('#txtDatUm').text(dados.DATUM);
                    $('#txtDatDois').text(dados.DATDOIS);
                    $('#txtDatTres').text(dados.DATTRES);
                    $('#txtDatQuatro').text(dados.DATQUATRO);
                    $('#txtDatCinco').text(dados.DATCINCO);
                    $('#txtDatSeis').text(dados.DATSEIS);
                    $('#txtDatSete').text(dados.DATSETE);
                    $('#txtDatOito').text(dados.DATOITO);
                    $('#txtDatNove').text(dados.DATNOVE);
                    $('#txtDatDez').text(dados.DATDEZ);
                    $('#txtDatOnze').text(dados.DATONZE);
                    $('#txtDatDoze').text(dados.DATDOZE);
                    $('#txtDatTreze').text(dados.DATTREZE);



                };
                ajaxURL = '@Url.Content("~/api/Crm/ObterUltimos12Meses")';
                async = true;
            };
            inicializar(null);
        };
    };
    @*------------------------------------*@

    @*Função que carrega a funcionalidade da abertura da modal ao clicar na linha, ele carrega todas as informações da modal cadastro.*@
    var csnCallBack = function () {
        $('#grdCrm tbody tr td').each(function () {
            $(this).click(function () {

                var data = ($('#grdCrm').DataTable()).data();

                if (data.length > 0) {

                    var dados = data.row($(this)).data();

                    if (BUSCOU == false) {
                        BUSCOU = true;
                        preencherGridCrm(dados);
                        console.log(dados.TIPDDOATR);

                    }
                    else {
                        BUSCOU = false;
                    }
                }
            });
        });
    };
    @*------------------------------------*@

    @*Função que carrega a funcionalidade da abertura da modal ao clicar na linha, ele carrega todas as informações da modal cadastro.*@
    var csnCallBackCestaProdutoCliente = function () {
        $('#grdCestaProdutoCliente tbody tr td').each(function () {
        //$('#grdCestaProdutoCliente').each(function () {

            var data = ($('#grdCestaProdutoCliente').DataTable()).data();


            if (data.length > 0) {

                //var dados = data.row($(this)).data();
                var dados = data.row($(this).parent()).data();
                //if (BUSCOU == false) {
                //    BUSCOU = true;

                console.log($(this));

                if (dados.TIPDDOATR == 2) {
                    if (!$(this).hasClass('font-fix')) {

                        $(this).addClass('fonteCestProdutoTexto');
                    }
                }
            }


        });
    };
    @*------------------------------------*@

    @* Fix select2 sem placeholder *@
    var fixSelect = function () {
        $('.select2-search__field').each(function () {
            var inp = $(this), ul = inp.parent().parent();
            if (inp.width() == 0 && ul.children().length == 1) {
                ul.parent().parent().parent().prev().val(null).trigger('change');
            };
        });
    };
    @*------------------------------------*@

     @*Evento do Insert da Anotação*@
    $("#btnInserirAnotacao").click(function () {

        if (tooltipValidationAnotacao() == false) {
            return;
        }

        with (new ComponenteAJAXFactory()) {
            with (modelo) {
                ajaxSuccessCallbackMethod = function () {
                    swal('Inserido!', 'Inserção realizada com sucesso!');
                    setCustomIcon('fa fa-exclamation-circle');
                    $("#txtDesObsAnt").val('');
                    $("#ddlIntencaoAnt").val(0);
                    $('#selMtvAnt').val('').trigger('change');
                    $("#txtDatAnt").val('');
                    $("#txtHoraAnt").val('');
                    RepeaterAnotacao();

                     setTimeout(function () {
                        ajustaAnotacao();
                    }, 1000);

                };
                ajaxURL = '@Url.Content("~/api/CadastroAnotacao/InserirCadastroAnotacaoGeral")';
                async = true;
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = function () { return $('#txtCodigoCliente').text(); }, tipoJsonEnviar = 'tipoFuncao' };
                //with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoCliente", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODMTVCTO", idJsonEnviar = "selMtvAnt", tipoJsonEnviar = 'tipoNumerico' }
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "DESOBS", idJsonEnviar = "txtDesObsAnt", tipoJsonEnviar = 'tipoTexto' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMNIVGARNGC", idJsonEnviar = "ddlIntencao", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "DATAGD", idJsonEnviar = "txtDatAnt", tipoJsonEnviar = 'tipoTexto' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "HORAGD", idJsonEnviar = "txtHoraAnt", tipoJsonEnviar = 'tipoTexto' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "TIPOBSCLI", idJsonEnviar = function () { return 10; }, tipoJsonEnviar = 'tipoFuncao' };
            };
            inicializar(null);
        };
    });
    @*------------------------------------*@

    @*Page Load.*@
    $(function () {

        var _codfunc =  @ControleDeAcesso.ObterConjuntoDePermissoesUsuario().InformacoesUsuario.CODFNC.ToString();
        if (_codfunc == 90900225) {

            swal({
                title: 'Verificar',
                text: "Acesso Não Permitido",
                showCancelButton: false,
                confirmButtonColor: '#3085d6',
                confirmButtonText: 'Sim!'
            }).then(function (result) {
                if (result.value) {
                    $(location).attr('href', '@Url.Content("~/Paginas/Default/Index")');
                }
            });

            return;
        }



        mostrarCaminhoMenu('Dossiê', '');


        $('#selCliIdx').change(function () {

            if ($('#selCliIdx').val() != null) {

                with (new ComponenteValueBinder()) {
                    with (modelo) {
                        ajaxPostURL = '@Url.Content("~/api/CadastroOportunidade/obterClientes")';
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "selCliIdx", tipoJsonEnviar = 'tipoNumerico' };

                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtCliInx", nomeJsonSetar = "CODCLI", textoJsonSetar = "CODCLI", tipoJsonSetar = 'tipoNumerico' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtNumCgcEmpPes", nomeJsonSetar = "NUMCGCCLI", textoJsonSetar = "NUMCGCCLI", tipoJsonSetar = 'tipoTexto' };

                    };
                    inicializar();
                };
            }
        });


        $('#ddlTipoPagamento').change(function () {

            if ($('#ddlTipoPagamento').val() == 1) {

                $('#txtBanco').prop('readOnly', false);
                $('#txtAgencia').prop('readOnly', false);
                $('#txtDigitoAG').prop('readOnly', false);
                $('#txtContaCorrente').prop('readOnly', false);
                $('#txtDigitoCC').prop('readOnly', false);

                $('#txtBanco').val($('#txtBancoHid').val());
                $('#txtAgencia').val($('#txtAgenciaHid').val());
                $('#txtDigitoAG').val($('#txtDigitoAGHid').val());
                $('#txtContaCorrente').val($('#txtContaCorrenteHid').val());
                $('#txtDigitoCC').val($('#txtDigitoCCHid').val());

                apagaTooltipCampos();
            }
            else {
                $('#txtBanco').prop('readOnly', true);
                $('#txtAgencia').prop('readOnly', true);
                $('#txtDigitoAG').prop('readOnly', true);
                $('#txtContaCorrente').prop('readOnly', true);
                $('#txtDigitoCC').prop('readOnly', true);

                $('#txtBanco').val('');
                $('#txtAgencia').val('');
                $('#txtDigitoAG').val('');
                $('#txtContaCorrente').val('');
                $('#txtDigitoCC').val('');

                apagaTooltipCampos();
            }
        })

        @*Verificação se a tela foi aberta pela consulta, ou pela negociação*@
        var queryString = window.location.search;

        queryStringVar = queryString.substring(1,3);

        queryStringCli= queryString.substring(3);

        @*Caso seja aberto pela negociação essa faz os processos para que a tela já seja aberta de forma direta*@
        if (queryStringVar == 'a=') {
            $('#txtCodigoClienteHid').val(queryStringCli);
            $('#btnFecharCrm').hide();

            $.ajax({
                method: 'POST',
                url: '@Url.Content("~/api/Crm/ObterCrmNegociacao")',
                headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
                async: true,
                data: { CODCLI: $('#txtCodigoClienteHid').val() },
                success: function (lista) {

                    preencherGridCrm(lista);
                }
            });
        }
        else {
            setTimeout(function () {
        //    $("#grdCrm").DataTable().ajax.reload();
                ($('#grdCrm').DataTable()).draw();

            }, 50);
        }
        @*------------------------------------*@

        @*Carregamente do data table principal,.
         A consulta do pesquisar é feita nesse local ao acionar o .DataTable().ajax.reload, nesse caso ele manda as informações pelo Json*@
        with (new ComponenteDataTables()) {
            with (modelo) {
                //carregarInicialmente = true;
                idContainerControle = "grdCrmContainer"
                idControle = "grdCrm";
                ajaxPostURL = '@Url.Content("~/api/Crm/ObterCrm")';
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                fnDrawCallback = csnCallBack;
                //
                with (addColunas) { cabecalho = "Cód. Martins", nomeColuna = "CODCLI", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Razão Social", nomeColuna = "NOMCLI" };
                with (addColunas) { cabecalho = "CNPJ", nomeColuna = "NUMCGCCLI", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Grupo Econômico", nomeColuna = "NOMGRPEMPCLI" };
                with (addColunas) { cabecalho = "Cliente TGV", nomeColuna = "CLIENTETGV", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Status", nomeColuna = "STATUS" , classeColuna = "text-center" };
                //
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodCliente", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NOMCLI", idJsonEnviar = "txtRazaoSocial", tipoJsonEnviar = 'tipoTexto' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMCGCCLI", idJsonEnviar = "txtNumCgcEmpPes", tipoJsonEnviar = 'tipoTexto' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODGRPEMPCLI", idJsonEnviar = "selGrpEco", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CLITGV", idJsonEnviar = "ddlCliTgv", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODSTATUS", idJsonEnviar = "ddlStatusCliTgv", tipoJsonEnviar = 'tipoNumerico' };

            }
            inicializar(null);
        }
        @*------------------------------------*@

        @*Retira algumas funcionalidades do ferramentas do DataTables *@
        $(".ferramentas").click(function () {
                $('.paginacao').hide();
                $('.ocultar').hide();
                $('.restaurar').hide();
        });
        @*------------------------------------*@

        @*Grid Contato*@
        gridContatoGeral('@Url.Content("~/api/NegociacaoOportunidade/ObterContatoClienteNegociacao")');

        mostrarGridAtivarDesativarContato();
        @*------------------------------------*@

        //Table dos clientes do grupo economixo
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdCadastroClientesGrupoEconomicoContainer"
                idControle = "grdCadastroClientesGrupoEconomico";
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Cód.", nomeColuna = "CODGRPEMPCLI", classeColuna = "text-right" };
                //with (addColunas) { cabecalho = "Cód. Rede", nomeColuna = "INDFATGRP", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Cód. Martins", nomeColuna = "CODCLI", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Razão Social", nomeColuna = "NOMCLI" };
                with (addColunas) { cabecalho = "CNPJ", nomeColuna = "NUMCGCCLI", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Cidade", nomeColuna = "NOMCID", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Estado", nomeColuna = "CODESTUNI", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Status", nomeColuna = "STATUS", classeColuna = "text-center"};
                //
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODGRPEMPCLI", idJsonEnviar = "txtCodigoGrpEcoHid", tipoJsonEnviar = 'tipoNumerico' };
                }
                inicializar(null);
        }
        @*------------------------------------*@

        //Table do cesta produto cliente
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdCestaProdutoClienteContainer"
                idControle = "grdCestaProdutoCliente";
                ajaxPostURL = '@Url.Content("~/api/Crm/ObterCestaProdutoCliente")';
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollY = false;
                fnDrawCallback = csnCallBackCestaProdutoCliente;
                //
                with (addColunas) { cabecalho = "Cód.", nomeColuna = "CODPRDCES", classeColuna = "text-right font-fix" };
                with (addColunas) { cabecalho = "Descrição", nomeColuna = "DESPRDCES", classeColuna = "text-left fonteCestProdutoTexto" };
                @*Colocação dos campos para que fiquem formatados de acordo com valor, quantidade ou texto*@
                with (addColunas) { cabecalho = "<span type='text' id='txtDatUm' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESUM", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "<span type='text' id='txtDatDois' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESDOIS", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "<span type='text' id='txtDatTres' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESTRES", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "<span type='text' id='txtDatQuatro' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESQUATRO", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "<span type='text' id='txtDatCinco' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESCINCO", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "<span type='text' id='txtDatSeis' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESSEIS", classeColuna = "text-center" };
                //with (addColunas) {
                //cabecalho = "<span type='text' id='txtDatSeis' class='camponaoeditavelgrid' readonly value=''> </span>",
                //    nomeColuna = "MOVMESSEIS", classeColuna = "text-center",
                //        retornoRender = function (data, type, row) {
                //            if (row.TIPDDOATR == 1) {
                //                row.MOVMESSEIS = convertStringParaDecimalFormatado(data, 2, true, 'br');
                //                return convertStringParaDecimalFormatado(data, 2, true, 'br');
                //            }
                //            else {
                //                return row.MOVMESSEIS;
                //            }
                //        }
                //};
                with (addColunas) { cabecalho = "<span type='text' id='txtDatSete' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESSETE", classeColuna = "text-center" };
                //with (addColunas) {
                //    cabecalho = "<span type='text' id='txtDatSete' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESSETE", classeColuna = "text-center",
                //        retornoRender = function (data, type, row) {
                //            if (row.TIPDDOATR == 1) {
                //                row.MOVMESSETE = convertStringParaDecimalFormatado(data, 2, true, 'br');
                //                return convertStringParaDecimalFormatado(data, 2, true, 'br');
                //            }
                //            else {
                //                return row.MOVMESSETE;
                //            }
                //        }
                //};
                with (addColunas) { cabecalho = "<span type='text' id='txtDatOito' class=' camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESOITO", classeColuna = "text-center" };
                //with (addColunas) {
                //    cabecalho = "<span type='text' id='txtDatOito' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESOITO", classeColuna = "text-center",
                //        retornoRender = function (data, type, row) {
                //            if (row.TIPDDOATR == 1) {
                //                row.MOVMESOITO = convertStringParaDecimalFormatado(data, 2, true, 'br');
                //                return convertStringParaDecimalFormatado(data, 2, true, 'br');
                //            }
                //            else {
                //                return row.MOVMESOITO;
                //            }
                //        }
                //};
                with (addColunas) { cabecalho = "<span type='text' id='txtDatNove' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESNOVE", classeColuna = "text-center" };
                //with (addColunas) {
                //    cabecalho = "<span type='text' id='txtDatNove' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESNOVE", classeColuna = "text-center",
                //        retornoRender = function (data, type, row) {
                //            if (row.TIPDDOATR == 1) {
                //                row.MOVMESNOVE = convertStringParaDecimalFormatado(data, 2, true, 'br');
                //                return convertStringParaDecimalFormatado(data, 2, true, 'br');
                //            }
                //            else {
                //                return row.MOVMESNOVE;
                //            }
                //        }
                //};
                with (addColunas) { cabecalho = "<span type='text' id='txtDatDez' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESDEZ", classeColuna = "text-center" };
                //with (addColunas) {
                //    cabecalho = "<span type='text' id='txtDatDez' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESDEZ", classeColuna = "text-center",
                //        retornoRender = function (data, type, row) {
                //            if (row.TIPDDOATR == 1) {
                //                row.MOVMESDEZ = convertStringParaDecimalFormatado(data, 2, true, 'br');
                //                return convertStringParaDecimalFormatado(data, 2, true, 'br');
                //            }
                //            else {
                //                return row.MOVMESDEZ;
                //            }
                //        }
                //};
                with (addColunas) { cabecalho = "<span type='text' id='txtDatOnze' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESONZE", classeColuna = "text-center" };
                //with (addColunas) {
                //    cabecalho = "<span type='text' id='txtDatOnze' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESONZE", classeColuna = "text-center",
                //        retornoRender = function (data, type, row) {
                //            if (row.TIPDDOATR == 1) {
                //                row.MOVMESONZE = convertStringParaDecimalFormatado(data, 2, true, 'br');
                //                return convertStringParaDecimalFormatado(data, 2, true, 'br');
                //            }
                //            else {
                //                return row.MOVMESONZE;
                //            }
                //        }
                //};
                with (addColunas) { cabecalho = "<span type='text' id='txtDatDoze' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESDOZE", classeColuna = "text-center" };
                //with (addColunas) {
                //    cabecalho = "<span type='text' id='txtDatDoze' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESDOZE", classeColuna = "text-center",
                //        retornoRender = function (data, type, row) {
                //            if (row.TIPDDOATR == 1) {
                //                row.MOVMESDOZE = convertStringParaDecimalFormatado(data, 2, true, 'br');
                //                return convertStringParaDecimalFormatado(data, 2, true, 'br');
                //            }
                //            else {
                //                return row.MOVMESDOZE;
                //            }
                //        }
                //};
                with (addColunas) { cabecalho = "<span type='text' id='txtDatTreze' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESTREZE", classeColuna = "text-center" };
                //with (addColunas) {
                //    cabecalho = "<span type='text' id='txtDatTreze' class='camponaoeditavelgrid' readonly value=''> </span>", nomeColuna = "MOVMESTREZE", classeColuna = "text-center",
                //        retornoRender = function (data, type, row) {
                //            if (row.TIPDDOATR == 1) {
                //                row.MOVMESTREZE = convertStringParaDecimalFormatado(data, 2, true, 'br');
                //                return convertStringParaDecimalFormatado(data, 2, true, 'br');
                //            }
                //            else {
                //                return row.MOVMESTREZE;
                //            }
                //        }
                //};
                @*------------------------------------*@
                //
                //Pesquisa pelo cliente
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = function () { return $('#txtCodigoCliente').text(); }, tipoJsonEnviar = 'tipoFuncao' };
            }
            inicializar(null);
        }
        @*------------------------------------*@

        @* Contatos Televendas.*@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdContatosTelevendasContainer";
                idControle = "grdContatosTelevendas";
                ajaxPostURL = '@Url.Content("~/api/Crm/ObterContatosTelevendas")';
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Fixo", nomeColuna = "NUMTLF", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Celular", nomeColuna = "NUMTLFCELCTOCLI", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "WhatsApp", nomeColuna = "NUMFAX", classeColuna = "text-center" };


                @* Pesquisa usando o cliente *@
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
            }
            inicializar(null);
        }



        @*Data table da Estrutura Martins.*@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdEstruturaMartinsContainer";
                idControle = "grdEstruturaMartins";
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Ordem", nomeColuna = "ORDEM" };
                with (addColunas) { cabecalho = "Empresa", nomeColuna = "EMPRESA" };
                with (addColunas) { cabecalho = "Função", nomeColuna = "FUNCAO" };
                with (addColunas) { cabecalho = "Matrícula", nomeColuna = "MATRICULA", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Nome", nomeColuna = "NOME" };
                with (addColunas) { cabecalho = "E-mail", nomeColuna = "EMAIL" };
                with (addColunas) { cabecalho = "Telefone", nomeColuna = "TELEFONE" };
                with (addColunas) { cabecalho = "Superior", nomeColuna = "SUPERIOR" };

                @*Pesquisa usando o cliente*@
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
            }
            inicializar(null);
        }
        @*------------------------------------*@

         @*Data table da Estrutura Tribanco.*@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdEstruturaTribancoContainer"
                idControle = "grdEstruturaTribanco";
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Ordem", nomeColuna = "ORDEM" };
                with (addColunas) { cabecalho = "Empresa", nomeColuna = "EMPRESA" };
                with (addColunas) { cabecalho = "Função", nomeColuna = "FUNCAO" };
                with (addColunas) { cabecalho = "Matrícula", nomeColuna = "MATRICULA", classeColuna = "text-right"};
                with (addColunas) { cabecalho = "Nome", nomeColuna = "NOME" };
                with (addColunas) { cabecalho = "E-mail", nomeColuna = "EMAIL" };
                with (addColunas) { cabecalho = "Telefone", nomeColuna = "TELEFONE" };
                with (addColunas) { cabecalho = "Superior", nomeColuna = "SUPERIOR" };

                @*Pesquisa usando o cliente*@
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
            }
            inicializar(null);
        }
        @*------------------------------------*@

        @*Data table da Estrutura Tricard.*@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdEstruturaTricardContainer"
                idControle = "grdEstruturaTricard";
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Ordem", nomeColuna = "ORDEM" };
                with (addColunas) { cabecalho = "Empresa", nomeColuna = "EMPRESA" };
                with (addColunas) { cabecalho = "Função", nomeColuna = "FUNCAO" };
                with (addColunas) { cabecalho = "Matrícula", nomeColuna = "MATRICULA", classeColuna = "text-right"};
                with (addColunas) { cabecalho = "Nome", nomeColuna = "NOME" };
                with (addColunas) { cabecalho = "E-mail", nomeColuna = "EMAIL" };
                with (addColunas) { cabecalho = "Superior", nomeColuna = "SUPERIOR" };

                @*Pesquisa usando o cliente*@
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
            }
            inicializar(null);
        }
        @*------------------------------------*@


        @*Data table da Notas Fiscais.*@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdNotasFiscaisContainer";
                idControle = "grdNotasFiscais";
                ajaxPostURL = '@Url.Content("~/api/Cobranca/ObterNotasFiscais")';
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Nota Fiscal", nomeColuna = "NUMNOTFSCSVC", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Título", nomeColuna = "NUMTITCOBFAT", classeColuna = "text-right"};
                with (addColunas) { cabecalho = "Vencimento", nomeColuna = "DATVNCTIT", classeColuna = "text-right" };
                with (addColunas) {
                    cabecalho = "Valor Fat", nomeColuna = "VLRPCLTIT", classeColuna = "text-right",
                        retornoRender = function (data, type, row) {
                        row.VLRNFE = convertStringParaDecimalFormatado(data, 2, true, 'br');
                            return convertStringParaDecimalFormatado(data, 2, true, 'br');
                        }
                };
                with (addColunas) { cabecalho = "Parcela", nomeColuna = "NUMPCLTITNOTFSCSVC", classeColuna = "text-center" };
                with (addColunas) {
                    cabecalho = "Saldo", nomeColuna = "VALORPAGO", classeColuna = "text-right",
                        retornoRender = function (data, type, row) {
                        row.VLRPAG = convertStringParaDecimalFormatado(data, 2, true, 'br');
                            return convertStringParaDecimalFormatado(data, 2, true, 'br');
                        }
                };
                with (addColunas) { cabecalho = "Data Pagto.", nomeColuna = "DATPGTTIT", classeColuna = "text-center"};
                with (addColunas) { cabecalho = "Status", nomeColuna = "STATUS", classeColuna = "text-center"};
                with (addColunas) { cabecalho = "Forma Pagamento", nomeColuna = "FORMAPAG" };

                @*Pesquisa usando o cliente*@
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };


            }
            inicializar(null);
        }
        @*------------------------------------*@

        @*Data table da Notas Fiscais.*@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdRecusrosClienteContainer";
                idControle = "grdRecusrosCliente";
                ajaxPostURL = '@Url.Content("~/api/Crm/ObterRecursosCliente")';
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Entidade", nomeColuna = "Entidade", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Categoria", nomeColuna = "Categoria", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Autorizadora", nomeColuna = "Autorizadora", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "IC", nomeColuna = "IC", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Tipo", nomeColuna = "Tipo", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Recursos", nomeColuna = "Recursos", classeColuna = "text-center"};

                @*Pesquisa usando o cliente*@
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };


            }
            inicializar(null);
        }
        @*------------------------------------*@

        @* Serviços Ativos *@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdServicosAtivosContainer"
                idControle = "grdServicosAtivos";
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Serviço", nomeColuna = "DESSVCTGV", classeColuna = "text-left" };
                with (addColunas) { cabecalho = "Data Ativação", nomeColuna = "DATATVSVC", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Início Susp.", nomeColuna = "DATINISUSSVC", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Fim Susp.", nomeColuna = "DATFIMSUSSVC", classeColuna = "text-center" };
                //Essas são as informações que só são enviadas quando o botão pesquisar é acionado
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
            }
            inicializar(null);
        }
        @*------------------------------------*@

        @* Serviços Encerrados *@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdServicosEncerradosContainer"
                idControle = "grdServicosEncerrados";
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Serviço", nomeColuna = "DESSVCTGV", classeColuna = "text-left" };
                with (addColunas) { cabecalho = "Data Ativação", nomeColuna = "DATATVSVC", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Data Cancelamento", nomeColuna = "DATDESSVC", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Quantidade De Dias", nomeColuna = "QNTDIAS", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Motivo Cancelamento", nomeColuna = "MOTIVACANC" };
                //
                //Essas são as informações que só são enviadas quando o botão pesquisar é acionado
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
            }
            inicializar(null);
        }
        @* ------------------------------------*@

        @* Histórico SDM *@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdHistoricoSdmContainer"
                idControle = "grdHistoricoSdm";
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Ticket", nomeColuna = "CODTCKATD", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Serviço", nomeColuna = "DESSVCCHM", classeColuna = "text-left" };
                with (addColunas) { cabecalho = "Data Inicio", nomeColuna = "DATSLCATD", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Data Conclusão", nomeColuna = "DATFNLATD", classeColuna = "text-center" };
                with (addColunas) { cabecalho = "Status", nomeColuna = "DESSTASLCATD" };
                //
                //Essas são as informações que só são enviadas quando o botão pesquisar é acionado
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
            }
            inicializar(null);
        }


        @*Data table da Estrutura Adquirência.*@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdEstruturaAdquirenciaContainer"
                idControle = "grdEstruturaAdquirencia";
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;
                //
                with (addColunas) { cabecalho = "Ordem", nomeColuna = "ORDEM" };
                with (addColunas) { cabecalho = "Empresa", nomeColuna = "EMPRESA" };
                with (addColunas) { cabecalho = "Função", nomeColuna = "FUNCAO" };
                with (addColunas) { cabecalho = "Matrícula", nomeColuna = "MATRICULA", classeColuna = "text-right"};
                with (addColunas) { cabecalho = "Nome", nomeColuna = "NOME" };
                with (addColunas) { cabecalho = "E-mail", nomeColuna = "EMAIL" };
                with (addColunas) { cabecalho = "Superior", nomeColuna = "SUPERIOR" };

                @*Pesquisa usando o cliente*@
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
            }
            inicializar(null);
        }
        @*------------------------------------*@

          @*Carrega informações iniciais do endereço e dados do cliente, ela muda ao selecionar tipos de endereço diferentes.*@
        $('#DdlTipEnd').change(function () {

            if ($('#DdlTipEnd').val() != null) {

                @*$.ajax({
                method: 'POST',
                url: '@Url.Content("~/api/Crm/ObterDadosBasicos")',
                headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
                async: true,
                data: { CODCLI: $('#txtCodigoClienteHid').val(), TIPENDCLI: $('#DdlTipEnd').val() },
                success: function (lista) {

                    $('#txtEnderecoCli').val(lista.ENDERECO);
                    $('#txtBairroCli').val(lista.NOMBAI);
                    $('#txtNomCidEstCli').val(lista.NOMCIDEST);
                    $('#txtCepCli').val(lista.CODCEP);
                    $('#txtNumTelCli').val(lista.NUMTEL);
                    $('#txtNumTelCelCli').val(lista.NUMTELCEL);
                    $('#txtIeCli').val(lista.NUMINSESTCLI);
                    $('#txtUnidadeCli').val(lista.UNIDADENEGOCIO);
                    $('#txtCanalCli').val(lista.CANAL);
                    $('#txtAtividadeCli').val(lista.NOMATI);
                    $('#txtSegmentoCli').val(lista.SEGMENTOMERCADO);
                    $('#txtQtdeCaixaCli').val(lista.QDECXACLI);
                    $('#txtAreaVendaCli').val(lista.TAMAREFISVNDCLI);
                    $('#txtAreaDepositoCli').val(lista.TAMAREFISDPSCLI);

                }
            });*@

                with (new ComponenteValueBinder()) {
                    with (modelo) {
                        ajaxPostURL = '@Url.Content("~/api/Crm/ObterDadosBasicos")';
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "TIPENDCLI", idJsonEnviar = "DdlTipEnd", tipoJsonEnviar = 'tipoNumerico' };

                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtEnderecoCli", nomeJsonSetar = "ENDERECO", textoJsonSetar = "ENDERECO", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtBairroCli", nomeJsonSetar = "NOMBAI", textoJsonSetar = "NOMBAI", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtNomCidEstCli", nomeJsonSetar = "NOMCIDEST", textoJsonSetar = "NOMCIDEST", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtCepCli", nomeJsonSetar = "CODCEP", textoJsonSetar = "CODCEP", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtNumTelCli", nomeJsonSetar = "NUMTEL", textoJsonSetar = "NUMTEL", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtNumTelCelCli", nomeJsonSetar = "NUMTELCEL", textoJsonSetar = "NUMTELCEL", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtIeCli", nomeJsonSetar = "NUMINSESTCLI", textoJsonSetar = "NUMINSESTCLI", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtUnidadeCli", nomeJsonSetar = "UNIDADENEGOCIO", textoJsonSetar = "UNIDADENEGOCIO", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtCanalCli", nomeJsonSetar = "CANAL", textoJsonSetar = "CANAL", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtAtividadeCli", nomeJsonSetar = "NOMATI", textoJsonSetar = "NOMATI", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtSegmentoCli", nomeJsonSetar = "SEGMENTOMERCADO", textoJsonSetar = "SEGMENTOMERCADO", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtQtdeCaixaCli", nomeJsonSetar = "QDECXACLI", textoJsonSetar = "QDECXACLI", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtAreaVendaCli", nomeJsonSetar = "TAMAREFISVNDCLI", textoJsonSetar = "TAMAREFISVNDCLI", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtAreaDepositoCli", nomeJsonSetar = "TAMAREFISDPSCLI", textoJsonSetar = "TAMAREFISDPSCLI", tipoJsonSetar = 'tipoTexto' };
                    };
                    inicializar();
                };
            }
        });
        @*------------------------------------*@

        @*Clique para construir o dropdown*@
        $('#dropdownCrm').click();
    });
    @*------------------------------------*@

</script>